> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cookiechimp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Get an account by ID. Accepts partner, user, or account tokens.



## OpenAPI

````yaml get /accounts/{id}
openapi: 3.1.0
info:
  title: CookieChimp API
  description: API for CookieChimp.com
  version: 1.0.1
servers:
  - url: https://cookiechimp.com/api/v1
security:
  - authorization: []
paths:
  /accounts/{id}:
    get:
      tags:
        - Accounts
      summary: Get account
      description: Get an account by ID. Accepts partner, user, or account tokens.
      operationId: getAccount
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: Account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
components:
  parameters:
    id:
      name: id
      in: path
      description: ID of the resource
      required: true
      schema:
        type: string
  schemas:
    Account:
      type: object
      allOf:
        - $ref: '#/components/schemas/AccountWrite'
      properties:
        id:
          type: string
          readOnly: true
          description: Unique identifier for the group
        name:
          type: string
          readOnly: true
          description: Domain of the account
        allowed_domains:
          type: array
          items:
            type: string
          readOnly: true
          description: List of allowed domains the the script will run on
        owner_id:
          type: string
          readOnly: true
          description: ID of the account user that owns the account
        onboarding_status:
          type: string
          readOnly: true
          description: >
            The status of the account, where:

            - `account_created`: The account has been created.

            - `vendors_setup`: Categories, services or TCF vendors have been set
            up.

            - `code_installed`: The script has been installed on the user's
            website.

            - `inactive`: Less than 10 visitors to the user's website in the
            last 30 days.

            - `live`: The account is live and operational.
        visitor_stats:
          type: object
          readOnly: true
          description: Visitor statistics for the account
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Date and time when the account was created
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: Date and time when the account was last updated
      example:
        id: abc123
        name: example.com
        allowed_domains:
          - example.net
          - example.org
        owner_id: xyz123
        onboarding_status: live
        visitor_stats:
          comparison: vs. Last 30 days
          statistics:
            views:
              count: 1471
              rate_of_change: 3.37
            consents:
              count: 213
              rate_of_change: 25.29
            unique_visitors:
              count: 895
              rate_of_change: 42.06
          raw_data:
            views:
              current_period: 1471
              previous_period: 1423
            consents:
              current_period: 213
              previous_period: 170
            unique_visitors:
              current_period: 895
              previous_period: 630
        created_at: '2022-12-20T18:45:00Z'
        updated_at: '2023-01-10T19:00:00Z'
    AccountWrite:
      type: object
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      description: API token obtained from the login endpoint or the dashboard

````